curl --request GET \
--url https://api-m.sandbox.paypal.com/v3/vault/payment-tokens \
--header 'Authorization: Bearer <token>'{
"customer": {
"id": "customer_4029352050"
},
"payment_tokens": [
{
"id": "8kk8451t",
"customer": {
"id": "customer_4029352050"
},
"payment_source": {
"card": {
"brand": "VISA",
"last_digits": "1111",
"expiry": "2027-02",
"name": "John Doe",
"billing_address": {
"address_line_1": "2211 N First Street",
"address_line_2": "17.3.160",
"admin_area_2": "San Jose",
"admin_area_1": "CA",
"postal_code": "95131",
"country_code": "US"
}
}
},
"links": [
{
"rel": "self",
"href": "https://api-m.paypal.com/v3/vault/payment-tokens/8kk8451t",
"method": "GET",
"encType": "application/json"
},
{
"rel": "delete",
"href": "https://api-m.paypal.com/v3/vault/payment-tokens/8kk8451t",
"method": "DELETE",
"encType": "application/json"
}
]
},
{
"id": "fgh6561t",
"customer": {
"id": "customer_4029352050"
},
"payment_source": {
"paypal": {
"description": "Description for PayPal to be shown to PayPal payer",
"email_address": "john.doe@example.com",
"account_id": "VYYFH3WJ4JPJQ",
"shipping": {
"name": {
"full_name": "John Doe"
},
"address": {
"address_line_1": "2211 N First Street",
"address_line_2": "17.3.160",
"admin_area_2": "San Jose",
"admin_area_1": "CA",
"postal_code": "95131",
"country_code": "US"
}
},
"usage_pattern": "IMMEDIATE",
"usage_type": "MERCHANT",
"customer_type": "CONSUMER",
"name": {
"given_name": "John",
"surname": "Doe"
},
"address": {
"address_line_1": "2211 N First Street",
"address_line_2": "17.3.160",
"admin_area_2": "San Jose",
"admin_area_1": "CA",
"postal_code": "95131",
"country_code": "US"
}
}
},
"links": [
{
"rel": "self",
"href": "https://api-m.paypal.com/v3/vault/payment-tokens/fgh6561t",
"method": "GET",
"encType": "application/json"
},
{
"rel": "delete",
"href": "https://api-m.paypal.com/v3/vault/payment-tokens/fgh6561t",
"method": "DELETE",
"encType": "application/json"
}
]
},
{
"id": "hg654s1t",
"customer": {
"id": "customer_4029352050"
},
"payment_source": {
"venmo": {
"description": "Description for Venmo to be shown to Venmo payer",
"shipping": {
"name": {
"full_name": "John Doe"
},
"address": {
"address_line_1": "2211 N First Street",
"address_line_2": "17.3.160",
"admin_area_2": "San Jose",
"admin_area_1": "CA",
"postal_code": "95131",
"country_code": "US"
}
},
"usage_pattern": "IMMEDIATE",
"usage_type": "MERCHANT",
"customer_type": "CONSUMER",
"email_address": "john.doe@example.com",
"user_name": "johndoe",
"name": {
"given_name": "John",
"surname": "Doe"
},
"account_id": "VYYFH3WJ4JPJQ",
"address": {
"address_line_1": "PayPal",
"address_line_2": "2211 North 1st Street",
"admin_area_1": "CA",
"admin_area_2": "San Jose",
"postal_code": "96112",
"country_code": "US"
}
}
},
"links": [
{
"rel": "self",
"href": "https://api-m.paypal.com/v3/vault/payment-tokens/hg654s1t",
"method": "GET",
"encType": "application/json"
},
{
"rel": "delete",
"href": "https://api-m.paypal.com/v3/vault/payment-tokens/hg654s1t",
"method": "DELETE",
"encType": "application/json"
}
]
}
],
"links": [
{
"rel": "self",
"href": "https://api-m.paypal.com/v3/vault/payment-tokens?customer_id=customer_4029352050&page=1&page_size=5&total_required=false",
"method": "GET",
"encType": "application/json"
},
{
"rel": "first",
"href": "https://api-m.paypal.com/v3/vault/payment-tokens?customer_id=customer_4029352050&page=1&page_size=5&total_required=false",
"method": "GET",
"encType": "application/json"
},
{
"rel": "last",
"href": "https://api-m.paypal.com/v3/vault/payment-tokens?customer_id=customer_4029352050&page=1&page_size=5&total_required=false",
"method": "GET",
"encType": "application/json"
}
]
}List all payment tokens
Returns all payment tokens for a customer.
curl --request GET \
--url https://api-m.sandbox.paypal.com/v3/vault/payment-tokens \
--header 'Authorization: Bearer <token>'{
"customer": {
"id": "customer_4029352050"
},
"payment_tokens": [
{
"id": "8kk8451t",
"customer": {
"id": "customer_4029352050"
},
"payment_source": {
"card": {
"brand": "VISA",
"last_digits": "1111",
"expiry": "2027-02",
"name": "John Doe",
"billing_address": {
"address_line_1": "2211 N First Street",
"address_line_2": "17.3.160",
"admin_area_2": "San Jose",
"admin_area_1": "CA",
"postal_code": "95131",
"country_code": "US"
}
}
},
"links": [
{
"rel": "self",
"href": "https://api-m.paypal.com/v3/vault/payment-tokens/8kk8451t",
"method": "GET",
"encType": "application/json"
},
{
"rel": "delete",
"href": "https://api-m.paypal.com/v3/vault/payment-tokens/8kk8451t",
"method": "DELETE",
"encType": "application/json"
}
]
},
{
"id": "fgh6561t",
"customer": {
"id": "customer_4029352050"
},
"payment_source": {
"paypal": {
"description": "Description for PayPal to be shown to PayPal payer",
"email_address": "john.doe@example.com",
"account_id": "VYYFH3WJ4JPJQ",
"shipping": {
"name": {
"full_name": "John Doe"
},
"address": {
"address_line_1": "2211 N First Street",
"address_line_2": "17.3.160",
"admin_area_2": "San Jose",
"admin_area_1": "CA",
"postal_code": "95131",
"country_code": "US"
}
},
"usage_pattern": "IMMEDIATE",
"usage_type": "MERCHANT",
"customer_type": "CONSUMER",
"name": {
"given_name": "John",
"surname": "Doe"
},
"address": {
"address_line_1": "2211 N First Street",
"address_line_2": "17.3.160",
"admin_area_2": "San Jose",
"admin_area_1": "CA",
"postal_code": "95131",
"country_code": "US"
}
}
},
"links": [
{
"rel": "self",
"href": "https://api-m.paypal.com/v3/vault/payment-tokens/fgh6561t",
"method": "GET",
"encType": "application/json"
},
{
"rel": "delete",
"href": "https://api-m.paypal.com/v3/vault/payment-tokens/fgh6561t",
"method": "DELETE",
"encType": "application/json"
}
]
},
{
"id": "hg654s1t",
"customer": {
"id": "customer_4029352050"
},
"payment_source": {
"venmo": {
"description": "Description for Venmo to be shown to Venmo payer",
"shipping": {
"name": {
"full_name": "John Doe"
},
"address": {
"address_line_1": "2211 N First Street",
"address_line_2": "17.3.160",
"admin_area_2": "San Jose",
"admin_area_1": "CA",
"postal_code": "95131",
"country_code": "US"
}
},
"usage_pattern": "IMMEDIATE",
"usage_type": "MERCHANT",
"customer_type": "CONSUMER",
"email_address": "john.doe@example.com",
"user_name": "johndoe",
"name": {
"given_name": "John",
"surname": "Doe"
},
"account_id": "VYYFH3WJ4JPJQ",
"address": {
"address_line_1": "PayPal",
"address_line_2": "2211 North 1st Street",
"admin_area_1": "CA",
"admin_area_2": "San Jose",
"postal_code": "96112",
"country_code": "US"
}
}
},
"links": [
{
"rel": "self",
"href": "https://api-m.paypal.com/v3/vault/payment-tokens/hg654s1t",
"method": "GET",
"encType": "application/json"
},
{
"rel": "delete",
"href": "https://api-m.paypal.com/v3/vault/payment-tokens/hg654s1t",
"method": "DELETE",
"encType": "application/json"
}
]
}
],
"links": [
{
"rel": "self",
"href": "https://api-m.paypal.com/v3/vault/payment-tokens?customer_id=customer_4029352050&page=1&page_size=5&total_required=false",
"method": "GET",
"encType": "application/json"
},
{
"rel": "first",
"href": "https://api-m.paypal.com/v3/vault/payment-tokens?customer_id=customer_4029352050&page=1&page_size=5&total_required=false",
"method": "GET",
"encType": "application/json"
},
{
"rel": "last",
"href": "https://api-m.paypal.com/v3/vault/payment-tokens?customer_id=customer_4029352050&page=1&page_size=5&total_required=false",
"method": "GET",
"encType": "application/json"
}
]
}Authorizations
Oauth 2.0 authentication
Query Parameters
A unique identifier representing a specific customer in merchant's/partner's system or records.
7 - 36^[0-9a-zA-Z_-]+$A non-negative, non-zero integer indicating the maximum number of results to return at one time.
1 <= x <= 5A non-negative, non-zero integer representing the page of the results.
1 <= x <= 10A boolean indicating total number of items (total_items) and pages (total_pages) are expected to be returned in the response.
Response
Successful execution.
Collection of payment tokens saved for a given customer.
Total number of items.
1 <= x <= 50Total number of pages.
1 <= x <= 10This object defines a customer in your system. Use it to manage customer profiles, save payment methods and contact details.
Show child attributes
Show child attributes
64Show child attributes
Show child attributes
Was this page helpful?